server {
    listen 443 ssl;

    ssl_certificate         /etc/letsencrypt/live/{{ grafana.domain }}/fullchain.pem;
    ssl_trusted_certificate /etc/letsencrypt/live/{{ grafana.domain }}/chain.pem;
    ssl_certificate_key     /etc/letsencrypt/live/{{ grafana.domain }}/privkey.pem;

    server_name {{ grafana.domain }};

    location / {
        proxy_pass http://127.0.0.1:3000;
        proxy_set_header Host $host;
        proxy_set_header Authorization "";
    }

    access_log off;
    error_log /var/log/nginx/monitoring-error.log;
}

server {
    listen 80;
    server_name {{ grafana.domain }};

    return 301 https://{{ grafana.domain }};
}
